Bug 494508 - Fedora 11 Beta - error in XKB at login
Fedora 11 Beta - error in XKB at login
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xkeyboard-config (Show other bugs)
11
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-07 04:38 EDT by stef
Modified: 2009-12-07 09:53 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-07 09:53:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot or the XKB error (86.33 KB, image/jpeg)
2009-04-14 08:00 EDT, stef
no flags Details

  None (edit)
Description stef 2009-04-07 04:38:47 EDT
Description of problem:
When login into a newly created account you get an error window complaining about XKB

Version-Release number of selected component (if applicable):
Fedora 11 Beta

How reproducible:
always

Steps to Reproduce:
1.install Fedora 11 Beta
2.create a new account
3.log in the new account
  
Actual results:
you get an error window complaining about XKB

Expected results:
no error

Additional info:
Comment 1 Michael Wagner 2009-04-10 13:35:49 EDT
This happens to me if /usr/share/hal/fdi/policy/10osvendor/{10-keymap,10-x11-keymap}.fdi have different settings for "input.xkb.layout". Either changing both values to "de" or "fedora-setup-keyboard" works for me (via /etc/hal/fdi/policy/). 

xsession-errors:
Error:            No Symbols named "nodeadkeys" in the include file "us"
                  Exiting
                  Abandoning symbols file "(null)"

/etc/sysconfig/keyboard:
KEYBOARDTYPE="pc"
KEYTABLE="de-latin1-nodeadkeys"

Greetings,

Michael
Comment 2 stef 2009-04-14 08:00:34 EDT
Created attachment 339468 [details]
screenshot or the XKB error
Comment 3 Bug Zapper 2009-06-09 09:23:51 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Matěj Cepl 2009-11-05 13:25:38 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 5 Chris Campbell 2009-12-06 09:52:45 EST
Stef, since this bug was reported by you using the Fedora 11 beta, the Fedora distribution has had many updates. Could you retest using Fedora 12 and let us know if you can still reproduce it?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 stef 2009-12-07 04:39:57 EST
It did not happen with final anymore, sorry I don't have time to test with FC12.
We choose FC11 and are fighting with all struggle in an integration process to make it run for our needs so no time to experiment new one.
Maybe with FC13 next year.
Comment 7 Chris Campbell 2009-12-07 09:53:24 EST
Stef, no problem on the Fedora 12. According to Comment #6, the issue was resolved somewhere in the beta process and disappeared with final Fedora 11.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.